Bug 115580 - ccm hostinit runs as 'servlet' so is unable to create files in /var/lib/ccm/webapps
ccm hostinit runs as 'servlet' so is unable to create files in /var/lib/ccm/w...
Status: CLOSED RAWHIDE
Product: Red Hat Web Application Framework
Classification: Retired
Component: installation (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gregorovic
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-13 12:44 EST by Daniel Berrange
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-17 11:55:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2004-02-13 12:44:27 EST
Description of problem:
For security reasons, the webapp root is owned by root. The ccm
hostinit command, however, runs as user 'servlet'. THus it is unable
to actually create any files:


[root@staging01 ccm]# ccm hostinit-bundle --name aplaws-standard
--container=resin http-port=9005
unable to create lib: /usr/share/ccm/webapps/WEB-INF/lib
[root@staging01 ccm]# ls -l /usr/share/ccm/webapps/
total 0
[root@staging01 ccm]# ls -al /usr/share/ccm/webapps/
total 8
drwxr-xr-x    2 root     root         4096 Feb 13 17:45 .
drwxr-xr-x    3 root     root         4096 Feb  2 10:37 ..
[root@staging01 ccm]# chown servlet.servlet /var/lib/ccm
ccm        ccm-devel  
[root@staging01 ccm]# chown servlet.servlet /var/lib/ccm/webapps/
[root@staging01 ccm]# ccm hostinit-bundle --name aplaws-standard
--container=resin http-port=9005
[root@staging01 ccm]# ls -l /var/lib/ccm/webapps/
total 16
drwxr-xr-x    5 servlet  root         4096 Feb 13 17:46 ccm-ldn-atoz
drwxr-xr-x    5 servlet  root         4096 Feb 13 17:46 ccm-ldn-theme
drwxr-xr-x   13 servlet  root         4096 Feb 13 17:46 ROOT
drwxr-xr-x    4 servlet  root         4096 Feb 13 17:46 WEB-INF
[root@staging01 ccm]# 


So, ccm hostinit needs to be changed to in fact run as 'root'.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install production RPMs
2. Run ccm hostinit
3.
  
Actual results:
unable to create lib: /usr/share/ccm/webapps/WEB-INF/lib


Expected results:
Webapp is created & all files / directories are owned by 'root'. NB,
exception for p2fs directory ?

Additional info:
Comment 1 Dennis Gregorovic 2004-02-23 17:00:11 EST
@40709
Comment 2 Dennis Gregorovic 2005-03-17 11:55:13 EST
closing old tickets

Note You need to log in before you can comment on or make changes to this bug.